Jump to content


Photo
Flatten

DMS not loading with Flatten theme



Best Answer tmeister , 10 April 2014 - 07:54 PM

Hi,

 

Are you using the last version of Flatten Version 2.0?, if not please update 2.0 Flatten version is DMS 2.0 compatible.

 

Best.

Go to the full post


  • Please log in to reply
4 replies to this topic

#1 kellid

kellid

    Super Member

  • Members
  • 208 posts
  • Country: Country Flag

Posted 10 April 2014 - 07:46 PM

Hello,

 

As of a day or so ago, when I go to my site it says "loading dms editor" and it seems to be stuck there.  I've tried deactivating plugins, which did not work.  Then I ran the javascript console and it came up with this error:

 

Uncaught TypeError: Object [object Object] has no method 'smartFlatMenu' 

(index):46

event.returnValue is deprecated. Please use the standard event.preventDefault() instead.

 

I haven't worked much with javascript and fear I would destroy something if I tried to find line 46 and edit the file.  Then, I changed the theme to the primary "twentyfourteen" and things seem to be working fine.  So I'm taking a guess that it's a problem with the theme.  Has anyone else had this problem or can assist me in solving it?  

 

Much thanks!!

 

Kelli

 

I am using the free version of DMS with Flatten Theme and the latest version of Wordpress.

 

ps.  I posted this over in DMS free version section but didn't get a response, not sure i it's a problem I posted more than once for the same topic.  



#2 etcio

etcio

    Advanced Member

  • Members


  • 68 posts
  • Framework Version:DMS
  • Country: Country Flag

Posted 10 April 2014 - 07:48 PM

I believe this has to do with a change in the timing of DMS 2's initialization. I've run into the same problem myself with my product, DepthCharge and am in the process of fixing it. It actually requires a complete rewrite of how we load the library. Flatten will likely need to be rewritten by the author as well.


  • kellid likes this

#3 tmeister

tmeister

    Super Member

  • Members

  • 228 posts
  • LocationValle de Bravo, México
  • Country: Country Flag

Posted 10 April 2014 - 07:54 PM   Best Answer

Hi,

 

Are you using the last version of Flatten Version 2.0?, if not please update 2.0 Flatten version is DMS 2.0 compatible.

 

Best.



#4 kellid

kellid

    Super Member

  • Members
  • 208 posts
  • Country: Country Flag

Posted 11 April 2014 - 02:18 AM

Thanks so much for the response!  I was not using the latest version, wasn't aware there was one but that did the trick!! 

 

Thank You!!!



#5 jacmes11

jacmes11

    Newbie

  • Members


  • 4 posts
  • Country: Country Flag

Posted 10 May 2014 - 10:39 PM

Hi, 

I just installed the latest version of DMS2 today and tried to install the newest 2.1 version of Flatten and every time I try to get it working it gives me this error:

 

Fatal error: Class 'PageLinesPostType' not found in /home/content/57/8255357/html/2014/wp-content/themes/flatten/sections/collapser-flat/section.php on line 301

 

I tried to install by uploading the Flatten zip file to the themes in WordPress. Is there something I'm doing wrong or is there a bug? Please let me know how to fix this, I'm working on a client site and need to get this up and running ASAP. Thanks!







Also tagged with one or more of these keywords: Flatten